Subject: RE: [PCN] identify an aggregation

From: "Lars Westberg \(KI/EAB\)" <[email-masked]>
Date: Tue, 20 Mar 2007 15:05:26 +0100

I am sorry, but I am not at IETF-meeting. But, I thought that you can
get some input to the discussion from the old documents.

For the specific discussion of the aggregation, my suggestion is to
allow different kind of models like Hose and trunks in the edge-2-edge
routers. The N^2 mesh of trunk aggregates generates a scalabillity
limitation within the edges. However, the trunk-aggregation fits well
with MPLS in the core so that model should also be supported.

All comments wellcome.

-Lasse 

-----Original Message-----
From: Michael Menth [mailto:[email-masked]] 
Sent: den 20 mars 2007 14:56
To: Lars Westberg (KI/EAB)
Subject: Re: [PCN] identify an aggregation

Hello Lars,

I'd like to get to know you as you are also working on pcn. I don't know
your face, but you find a picture of me on my homepage: 
http://www3.informatik.uni-wuerzburg.de/~menth/
I'll be in the Hilton today, but I am not too busy, so I am around. 
Maybe you can say hello to me? I am leaving tomorrow morning.

Best wishes,

Michael

Lars Westberg wrote:
> I think you can use this refernce  into the discussions. These 
> references is the starting point for the RMD-concept.
> http://www.comet.columbia.edu/~zoltan/LoadControl.pdf
> I do not remeber which conference it was published.
> I am also  lacking the following reference into the discussion 
> http://www.watersprings.org/pub/id/draft-westberg-loadcntr-01.txt
>
> We have published more work into this topic during the period of 99-02

> so, if there are interest I can try to find them.
>
> regards Lasse
>
> Michael Menth wrote:
>>
>> Dear Tina,
>>
>> oops, i forgot the attachement. Here is the link to the paper:
>> http://www3.informatik.uni-wuerzburg.de/~menth/Publications/Menth07-S
>> ub-18.pdf 
>> <http://www3.informatik.uni-wuerzburg.de/%7Ementh/Publications/Menth0
>> 7-Sub-18.pdf>
>>
>>
>> Regarding your question: interior routers just measure the rates of 
>> all high priority packets on the link, i.e., no difficult aggregate 
>> mapping is required. Only PCN egress routers need to map packets to 
>> ingress-egress aggregates and measure their rate. However, I don't 
>> know how this mapping is done by the routers in an efficient manner.
>>
>> Best wishes,
>>
>>    Michael
>>
>> Tina TSOU wrote:
>> > Dear Michael,
>> > Where did you attach the "attached email"? ;-) As interior node in 
>> > PCN domain, I might receive many packets, when packet A comes, how 
>> > do I know packet A belongs to AR(1), AR(2), ASR(Y,Z), or ASR(W,X)? 
>> > From the multicast destination address of Packet A? Or an 
>> > identifier in the header of Packet A?
>> >
>> > B. R.
>> > Tina
>> >
>> > ----- Original Message ----- From: "Michael Menth"
>> > <[email-masked]>
>> > To: "Tina TSOU" <[email-masked]>
>> > Cc: "Kwok-Ho Chan" <[email-masked]>; <[email-masked]>
>> > Sent: Tuesday, March 20, 2007 8:42 AM
>> > Subject: Re: [PCN] identify an aggregation
>> >
>> >
>> >> Dear Tina,
>> >>
>> >> you may want to have a look at Section II of the paper referenced
>> in the
>> >> attached email. It's a short summary of how PCN basically works. 
>> >> The scope of the aggregation level for measured variables is 
>> >> expressed by mathematical dependencies. Example:
>> >> * AR(l): aggregation scope is all traffic on a specific link l
>> >> * ASR(Y,Z): aggregation scope is all traffic between ingress Y and

>> >> egress Z
>> >>
>> >> Kind regards,
>> >>
>> >>    Michael
>> >>
>> >> Tina TSOU wrote:
>> >>> Hi Kwok,
>> >>> We had a nice PCN meeting yesterday.
>> >>> I asked the question about how to identify an aggregation in PCN.
>> >>> People gave several replies. Would you like to give a summary
here?
>> >>>
>> >>> B. R.
>> >>> Tina
>> >>>
>> >>> _______________________________________________
>> >>> PCN mailing list
>> >>> [email-masked]
>> >>> https://www1.ietf.org/mailman/listinfo/pcn
>> >>
>> >> --
>> >> Dr. Michael Menth, Assistant Professor University of Wuerzburg, 
>> >> Institute of Computer Science Am Hubland, D-97074 Wuerzburg, 
>> >> Germany, room B206
>> >> phone: (+49)-931/888-6644, fax: (+49)-931/888-6632 
>> >> mailto:[email-masked]
>> >> http://www3.informatik.uni-wuerzburg.de/research/ngn
>>
>> --
>> Dr. Michael Menth, Assistant Professor University of Wuerzburg, 
>> Institute of Computer Science Am Hubland, D-97074 Wuerzburg, Germany,

>> room B206
>> phone: (+49)-931/888-6644, fax: (+49)-931/888-6632 
>> mailto:[email-masked]
>> http://www3.informatik.uni-wuerzburg.de/research/ngn
>>
>>
>> _______________________________________________
>> PCN mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/pcn
>>

--
Dr. Michael Menth, Assistant Professor
University of Wuerzburg, Institute of Computer Science Am Hubland,
D-97074 Wuerzburg, Germany, room B206
phone: (+49)-931/888-6644, fax: (+49)-931/888-6632
mailto:[email-masked]
http://www3.informatik.uni-wuerzburg.de/research/ngn

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn